API Documentation

Adtraction API v3

Adtraction API v3

This is the full documentation for the Adtraction API, version 3.

In order to access the API, you need an account with Adtraction. You can pick up your unique API token by logging in to your Adtraction account and navigating to Account > Settings.

The documentation is interactive; calls can be made to all documented endpoints within the browser without the need to write any code.

If you have any questions regarding the API, feel free to contact support@adtraction.com.

API url

The base url for all API version 3 endpoints is https://api.adtraction.net/v3/

General notes

EncodingEvery string passed to and from the Adtraction API needs to be UTF-8 encoded.
SSLWe require that all requests are done over SSL.
Date formatThe Adtraction tracking server is running on Stockholm time. All dates are in ISO 8601 format expressed as UTC (Coordinated Universal Time). Time zones are represented as an offset from UTC. Example: 2019-07-16T14:45:15+0200

Header parameters

X-TokenDefines the request API token. This will be used to determine privileges and visibility for the request.
content-typeDefines the format of data sent to Adtraction. Adtraction accepts JSON. Example: content-type: application/json
acceptDefines the format of data received from Adtraction. Adtraction supports JSON. Example: accept: application/json

Pagination

Certain endpoints will generate large result sets. To save bandwidth and long processing times, these endpoints will paginate the results to reduce the strain on both client and server.

Any endpoint that supports pagination will return 3 attributes to support this:

  • count - the total number of results available
  • pageSize - the number of results per page to return
  • page - the number of the page to return. The first page in the response is number 0.

Rate limiting

The API endpoints are rate limited by a quota per minute.

On each request the remaining quota is decreased. If the remaining quota is less than zero, the status code 429 will be returned with a message containing the time remaining until reset.

Each endpoint response includes header parameters with information about its limit, remaining requests and reset time. Example:

Status: 200 OK
X-RateLimit-Limit: 30
X-RateLimit-Remaining: 29
X-RateLimit-Reset: 1561967218095
Header nameDescription
X-RateLimit-LimitThe maximum number of requests you're permitted to make per hour.
X-RateLimit-RemainingThe number of requests remaining in the current rate limit window.
X-RateLimit-ResetThe time at which the current rate limit window resets in UTC epoch seconds.

Response codes and statuses

CodeStatusDescription
200OKThe request has succeeded.
201CreatedThe request has been fulfilled and resulted in a new resource being created.
204No contentThe server successfully processed the request, but is not returning any content.
400Bad requestThe request could not be understood by the server due to malformed syntax.
401UnauthorizedThe request requires user authentication.
403ForbiddenThe server understood the request, but user is not authorized to perform the operation.
404Not foundThe server has not found anything matching the Request-URI.
409ConflictThe request could not be completed due to a conflict with the current state of the resource.
415Unsupported media typeThe request entity has a media type which the server or resource does not support.
429Too many requestsYour are making too many requests and are being rate limited.
500Internal server errorThe server encountered an unexpected condition which prevented it from fulfilling the request.

Partner

GET /partner/programs/commissions/{programId}/{channelId}/ #
List commission types

Each partner program on the Adtraction platform offers one or several types of commissions, such as commission for a confirmed purchase or a newsletter signup.

List all the commission types available for a partner program.

Using channelId as input will return the commissions of the segment that the channel currently belongs to. If channelId is not provided, the commissions in the standard segment will be returned.

Parameters
NameTypeDescription
programIdnumberrequiredNumerical ID of the partner program
channelIdnumberoptionalNumerical ID of a channel
Response 200 array[Commissiontypes]
Try it
Set the values below, then edit the request if needed.
Request editable
POST /partner/products/feed/ #
Retrieve product feed

Retrieves data for all available products for a specified advertiser. Meta data is available in the response header, where count is the number of products available, and feed_lastupdated is the time the advertiser last updated their product feed.

Body attributes
NameTypeDescription
programIdnumberrequiredNumerical ID of a partner program
channelIdnumberrequiredNumerical ID of a channel
feedIdnumberoptionalNumerical ID of a product feed
setEpibooleanoptionalIf set to true, the epi will be set to the product name in tracking urls
gtbooleanoptionalShould be set to true if tracking links included in the product feed should comply with with the Transparent Click Tracker requirements in Google Ads.
Response 200 array[Productfeed]
Try it
Request editable
GET /partner/products/feedinfo/{programId}/{channelId}/ #
Retrieve product feed information

Retrieves information about the products feeds available for a specific advertiser, including number of available products, last updated status and link to download the data file.

Parameters
NameTypeDescription
programIdnumberrequiredNumerical ID of an partner program
channelIdnumberrequiredNumerical ID of a channel
Response 200 array[Channels]
Try it
Set the values below, then edit the request if needed.
Request editable
POST /partner/programs/ #
Retrieve program information

Each advertiser on the Adtraction platform has their own partner program, which is a partnership where partners send visitors to the advertiser in exchange for commission. Each partner program has rules about what kind of advertising is permitted and what commission is offered.

Retrieves information about partner programs available on the Adtraction platform.

Body attributes
NameTypeDescription
marketstringrequiredGeographical market on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
programIdnumberoptionalNumerical ID of an partner program
channelIdnumberoptionalNumerical ID of a channel
approvalStatusnumberoptionalApproval status for a partner program: 0 = rejected, 1 = approved, 2 = pending review
statusnumberThe status of the partner program on the Adtraction platform, where Live = 0 and Closing = 3
Response 200 array[Programs]
Try it
Request editable

Client

POST /client/channels/ #
List channels

A channel is where a partner places banners or links to promote your partner program. It can be, for example, a website, a blog or a newsletter. It may also be paid advertising on, for example, Adwords or Facebook.

Lists all channels that have applied to your program.

Body attributes
NameTypeDescription
channelIdnumberoptionalNumerical ID of a channel.
affiliateIdnumberoptionalNumerical ID of a partner account.
approvalStatusnumberoptionalApproval status of a channel for a partner program: 0 = rejected, 1 = approved, 2 = pending review
Response 200 array[ChannelsClient]
Try it
Request editable
PUT /client/channels/ #
Update channel status

A channel is where a partner places banners or links to promote your partner program. It can be, for example, a website, a blog or a newsletter. It may also be paid advertising on, for example, Adwords or Facebook.

Update the approval status for a channel in your program. Status can be updated to rejected (0) or approved (1).

Body attributes
NameTypeDescription
channelIdnumberoptionalNumerical ID of a channel.
approvalStatusnumberoptionalApproval status of a channel for a partner program: 0 = rejected, 1 = approved
rejectReasonnumberoptionalRequired when approvalStatus is changed to: 0. The reason for rejecting the program application, where: 0 = Not enough content/posts, 1 = Not relevant content, 2 = A closed site/group/account, 3 = 404 on site, 4 = Site does not exist, 5 = Wrong contact details / shady details, 6 = Unethical content, 7 = Incorrect site owner, 8 = Missing info about the channel. No URL/link, 9 = To few followers/visitors, 10 = Poor design, 11 = Traffic is not relevant. 12 = Outdated content
Try it
Request editable

Data structures

Categories
PropertyTypeDescription
categorystringName of the product category
typestringType of commission, where % means percentage of order value and a currency in ISO 4217 format means a fixed amount.
valuenumberThe size of the commission
Channels
PropertyTypeDescription
feedIdnumberThe unique ID of the product feed in the Adtraction system
namestringThe name of the product feed in the Adtraction system
approvalStatusnumberApproval status of a specified channel for a partner program: 0 = rejected, 1 = approved, 2 = pending review, 3 = not applied
feedUrlstringURL to download the advertiser data feed. Only available when approvalStatus = 1. You can control the format of the file by modifing the following URL parameters: format (XML or CSV), encoding (UTF-8 or 8859-1), zip (0 or 1), cdelim (field separator) (tab, comma, colon, semi, pipe), tdelim (text qualifier) (singlequote or doubleqoute)
lastUpdatedstringUTC time stamp of when file was last updated
numberOfProductsnumberNumber of products included in the file
ChannelsClient
PropertyTypeDescription
affiliateIdnumberNumerical ID of a partner account.
affiliateNamestringName of the partner. Individual or company.
channelIdnumberNumerical ID of a channel.
channelNamestringName of a channel.
channelDescriptionstringA description of a channel.
channelUrlstringThe URL of a channel, if applicable.
channelTypestringThe type of a channel, such as Blog, Content, Facebook, Cashback, etc.
approvalStatusnumberApproval status of a channel for a partner program: 0 = rejected, 1 = approved, 2 = pending review
applicationDatestringThe date when the channel first applied to join your program.
rejectReasonnumberAvailable when approvalStatus is set to: 0. The reason for the program application being rejected, where: 0 = Not enough content/posts, 1 = Not relevant content, 2 = A closed site/group/account, 3 = 404 on site, 4 = Site does not exist, 5 = Wrong contact details / shady details, 6 = Unethical content, 7 = Incorrect site owner, 8 = Missing info about the channel. No URL/link, 9 = To few followers/visitors, 10 = Poor design, 11 = Traffic is not relevant. 12 = Outdated content
reasonTextstringAvailable when approvalStatus is set to: 0. The reason for the program application being rejected.
Programs
PropertyTypeDescription
programIdnumberNumerical ID of the partner program.
marketstringGeographical market on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
currencystringThe currency used for the program. ISO 4217 format
approvalStatusnumberApproval status for a partner program. Only available when channelId is provided as input and when an application has been made by the channelId to the programId. 0 = rejected, 1 = approved, 2 = pending review
ppcMarketingnumberRules for Pay Per Click Marketing (Google Adwords, etc), where: 0 = not allowed,1 = allowed, 2 = restricted (no brand bidding)
socialMarketingnumberRules for Social Media Marketing (Facebook, etc), where: 0 = not allowed, 1 = allowed
emailMarketingnumberRules for Email Marketing, where: 0 = not allowed, 1 = allowed, 2 = restricted (preview is required)
cashbackMarketingnumberRules for cashback / reward partners: 0 = not allowed, 1 = allowed
couponMarketingnumberAdvertising rules for voucher / coupon partners, where: 0 = not allowed, 1 = allowed
programNamestringName of the partner program
programURLstringMain URL for a specified partner program
currentSegmentstringThe commission segment the specified channel currently belongs to in the specified partner program. Only available when channelId is provided as input.
pendingActivebooleanSet to true if the advertiser reviews transactions manually. Transactions will have status Pending until they are approved or rejected by the advertiser
cookieDurationnumberNumber of days after each click during which transactions are tracked
adIdnumberNumerical ID of the ad. When using /partner/programs/ the adId provided is equal to the programAdId for each partner program. Use this as the parameter 'a' in your tracking links
commissionsarray[Commissiontypes]Array containing the name, value and type of all currently active commissions types in a partner program
feedsarray[Feeds]Information about product data feeds provided by the advertiser. Only available when channelId is provided and approvalStatus = 1.
logoURLstringURL of the advertiser logo image file
trackingURLstringDefault click tracking URL for a specified channel and partner program, where "a" is the adId and "as" is the channelId. Only available when channelId is provided as input and approvalStatus is "1" (approved).
categoryNamestringThe name of the category that the partner program belongs to on the Adtraction platform
categoryIdnumberNumerical ID of the category that the partner program belongs to on the Adtraction platform
trackingTypenumberThe type of tracking the advertiser has implemented where 1 or 5 = first-party cookie tracking, 2 = server-to-server tracking, 3 = legacy cookie tracking, 4 = dedicated subdomain tracking
statusnumberThe status of the partner program on the Adtraction platform, where Live = 0 and Closing = 3
epcnumberEPC (Earnings Per Click) is a measurement of the average amount that partners earn every time they direct a click to a partner program. It serves as an indicator of the profitability of each program, and is determined by averaging the EPC for all channels active on the program, excluding the top and bottom 5 %.
Commissiontypes
PropertyTypeDescription
idstringNumerical ID of the commission type
typestringType of commission. Absolute (EUR, for example) or a percentage of order value (%)
namestringName of the commission type
valuenumberCommission offered
transactionTypenumberSpecifies the type of the transaction where: 3 = Sale, 4 = Lead
categoriesarray[Categories]Information about differentiated commission levels in different product categories, if applicable.
thresholdsarray[Thresholds]Information about differentiated commission levels for different order values, if applicable.
Feeds
PropertyTypeDescription
feedUrlstringThe URL from which the data file can be downloaded. You can control the format of the file by modifing the following URL parameters: format (XML or CSV), encoding (UTF-8 or 8859-1), zip (0 or 1), cdelim (field separator) (tab, comma, colon, semi, pipe), tdelim (text qualifier) (singlequote or doubleqoute)
lastUpdatedstringDate when the product data file was last updated
numberOfProductsnumberNumber of products included in the product data file
feedIdnumberNumerical ID of the product data file
namestringName of the product dat file
Productfeed
PropertyTypeDescription
productNamestringName of the product
productPricestringOnline price for the product, including VAT, excluding delivery cost
productUrlstringURL to the product page on the advertiser website.
trackingUrlstringURL to the product page on the advertiser website.
currencystringCurrency in ISO 4217 format
programIdnumberNumerical ID of the partner program
approvalStatusnumberApproval status of a specified channel for a partner program: 0 = rejected, 1 = approved, 2 = pending review, 3 = not applied
eanstringEuropean Article Number (13 digit)
skustringUnique product ID.
extraInfoarray[ProductExtrainfo]Any extra data available, such a size, gender, color
imageUrlstringThe image URL to associate with the product.
inStockbooleanOnly return products that are (or are not) in stock
manufacturerstringThe name of the manufacturer
manufacturerArticleNumberstringThe article number from the manufacturer
marketstringMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
oldPricenumberThe previous price of the product. Can be used to display the product as on sale
productCategorystringProduct category on the advertiser website
productDescriptionstringDescription of the product
shippingnumberCost of delivery
ProductExtrainfo
PropertyTypeDescription
keystringA unique identifier for a type of product data that is provided by some advertisers in addition to the standard set of data required by Adtraction.
valuestringThe value associated with a key
Thresholds
PropertyTypeDescription
orderValuenumberThe minimum order value that must be attained for a commission level to apply.
typestringIdentifies the type of commmission, where a percentage symbol (%) denotes a proportion of the order value, while a currency represented in the ISO 4217 format signifies a fixed amount.
valuenumberThe size of the commission.

Adtraction API v2

Adtraction API v2

This is the full documentation for the Adtraction API, version 2.

In order to access the API, you need an account with Adtraction. You can pick up your unique API token by logging in to your Adtraction account and navigating to Account > Settings.

The documentation is interactive; calls can be made to all documented endpoints within the browser without the need to write any code.

Certain endpoints have been deprecated. In such cases, please use API version 3 instead.

If you have any questions regarding the API, feel free to contact support@adtraction.com.

API url

The base url for all API endpoints is https://api.adtraction.net/v2/

General notes

EncodingEvery string passed to and from the Adtraction API needs to be UTF-8 encoded.
SSLWe require that all requests are done over SSL.
Date formatThe Adtraction tracking server is running on Stockholm time. All dates are in ISO 8601 format expressed as UTC (Coordinated Universal Time). Time zones are represented as an offset from UTC. Example: 2019-07-16T14:45:15+0200

Header parameters

X-TokenDefines the request API token. This will be used to determine privileges and visibility for the request.
content-typeDefines the format of data sent to Adtraction. Adtraction accepts JSON. Example: content-type: application/json
acceptDefines the format of data received from Adtraction. Adtraction supports JSON. Example: accept: application/json

Pagination

Certain endpoints will generate large result sets. To save bandwidth and long processing times, these endpoints will paginate the results to reduce the strain on both client and server.

Any endpoint that supports pagination will return 3 attributes to support this:

  • count - the total number of results available
  • pageSize - the number of results per page to return
  • page - the number of the page to return. The first page in the response is number 0.

Rate limiting

The API endpoints are rate limited by a quota per minute.

On each request the remaining quota is decreased. If the remaining quota is less than zero, the status code 429 will be returned with a message containing the time remaining until reset.

Each endpoint response includes header parameters with information about its limit, remaining requests and reset time. Example:

Status: 200 OK
X-RateLimit-Limit: 30
X-RateLimit-Remaining: 29
X-RateLimit-Reset: 1561967218095
Header nameDescription
X-RateLimit-LimitThe maximum number of requests you're permitted to make per minute.
X-RateLimit-RemainingThe number of requests remaining in the current rate limit window.
X-RateLimit-ResetThe time at which the current rate limit window resets in UTC epoch seconds.

Response codes and statuses

CodeStatusDescription
200OKThe request has succeeded.
201CreatedThe request has been fulfilled and resulted in a new resource being created.
204No contentThe server successfully processed the request, but is not returning any content.
400Bad requestThe request could not be understood by the server due to malformed syntax.
401UnauthorizedThe request requires user authentication.
403ForbiddenThe server understood the request, but user is not authorized to perform the operation.
404Not foundThe server has not found anything matching the Request-URI.
409ConflictThe request could not be completed due to a conflict with the current state of the resource.
415Unsupported media typeThe request entity has a media type which the server or resource does not support.
429Too many requestsYour are making too many requests and are being rate limited.
500Internal server errorThe server encountered an unexpected condition which prevented it from fulfilling the request.

Partner

GET /partner/markets/ #
List markets

Adtraction offers partner programs on several geographical markets.

Lists the markets on which Adtraction offers partner programs.

Response 200 array[Markets]
Try it
Request editable
GET /partner/channels/{channelId}/ #
List approved channels

A channel is where a partner places banners or links to earn commission. It can be a website, a blog or a newsletter. It may also be paid advertising on, for example, Adwords or Facebook.

You can have as many channels as you want in your Adtraction account.

Lists all the approved channels in your partner account.

Parameters
NameTypeDescription
channelIdnumberoptionalNumerical ID of a channel
Response 200 array[Channels]
Try it
Set the values below, then edit the request if needed.
Request editable
GET /partner/currencies/ #
List currencies

Lists all active currencies on the Adtraction platform.

Try it
Request editable
GET /partner/applications/{?programId,channelId} #
List applications

Channels that are approved in the Adtraction system may apply to partner programs. Each partner program has rules about what kind of advertising is permitted.

Lists the status of all your applications to partner programs.

Parameters
NameTypeDescription
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a channel
Response 200 array[Applications]
Try it
Set the values below, then edit the request if needed.
Request editable
GET /partner/programs/{?market,programId,channelId,approvalStatus} DEPRECATED #
Retrieve program information

Each advertiser with Adtraction has its own partner program, which is a partnership where partners send visitors to the advertiser in exchange for commission. Each partner program has rules about what kind of advertising is permitted and what commission is offered.

This endpoint is deprecated. Please use API version 3.

Retrieves information about partner programs available on the Adtraction platform.

Parameters
NameTypeDescription
marketstringrequiredGeographical market on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a channel
approvalStatusnumberoptionalApproval status for a partner program: 0 = rejected, 1 = approved, 2 = pending review
Response 200 array[Programs]
Try it
Set the values below, then edit the request if needed.
Request editable
GET /partner/programs/categories/{marketId} #
List program categories

All partner programs on the Adtraction platform belong to a specific category, such as Banking & Finance or Family & Kids.

Lists all program categories and the number of partner programs currently available in each category.

Parameters
NameTypeDescription
marketIdnumberrequiredNumerical ID of a geographical market
Response 200 array[Categories]
Try it
Set the values below, then edit the request if needed.
Request editable
GET /partner/programs/directory/{marketId}/{categoryId} #
Retrieve program directory

List all programs with their associated category.

Parameters
NameTypeDescription
marketIdnumberoptionalNumerical ID of a geographical market
categoryIdnumberoptionalNumerical ID of the category
Try it
Set the values below, then edit the request if needed.
Request editable
GET /partner/programs/commissions/{programId}/{channelId}/ DEPRECATED #
List commission types

Each partner program on the Adtraction platform offers one or several types of commissions, such as commission for a confirmed purchase or a newsletter signup.

This endpoint is deprecated. Please use API version 3.

List all the commission types available for a partner program.

Using channelId as input will return the commissions of the segment that the channel currently belongs to. If channelId is not provided, the commissions in the standard segment will be returned.

Parameters
NameTypeDescription
programIdnumberrequiredNumerical ID of the partner program
channelIdnumberoptionalNumerical ID of a channel
Response 200 array[Commissiontypes]
Try it
Set the values below, then edit the request if needed.
Request editable
GET /partner/programs/new/{marketId}/ #
List new programs

Lists partner programs recently added to the Adtraction platform. Programs are normally classified as new for up to 30 days.

Parameters
NameTypeDescription
marketIdnumberrequiredNumerical ID of a geographical market
Response 200 array[Newprograms]
Try it
Set the values below, then edit the request if needed.
Request editable
POST /partner/products/ #
Find products

The Adtraction product database holds data such as price, images and links for products sold by advertisers on the Adtraction platform.

Searches the Adtraction product database. Meta data is available in the response header, where count is the total number of products found for the specified search query, maxprice is the highest price found, and minprice is the lowest price found.

If you require tracking links, combine with a call to the /partner/tracking/link/ endpoint.

If you require all products from a certain advertiser, use the /partner/products/productfeed/ endpoint.

The search function is not case sensitive. The following operators can be used in the keyword field to modify your search:

OperatorDescription
ANDAND operation — search for X and Y. Returns only results related to both X and Y.
OROR operation — search for X or Y. Returns results related to X, Y, or both.
-Excludes a term or phrase.
"Wraps a number of words to signify a phrase for searching.
*At the end of a term, signifies a wildcard query.
( )Signify precedence.
AND discounted:trueIncludes only products where productPrice is lower than oldPrice.

Examples

Use caseRequest body
Phrase match{"keyword": "\"Nivea Shower Creme Care 250 ml\"", "page": 0, "pageSize": 10}
Phrase match with wildcard{"keyword": "\"Nivea shower*\"", "page": 0, "pageSize": 10}
Exclude a term{"keyword": "Nivea -shower", "page": 0, "pageSize": 10}
AND operation{"keyword": "Nivea AND shower", "page": 0, "pageSize": 10}
OR operation{"keyword": "Nivea OR shower", "page": 0, "pageSize": 10}

You can speed up your query significantly by specifying which fields to search in the database.

The following fields can be searched individually: productPrice, productUrl, currency, programId, ean, sku, imageUrl, inStock, manufacturer, manufacturerArticleNumber, market, oldPrice, productCategory, productDescription, shipping.

Example:

Search for 1334868914 in the sku field only: {"keyword": "sku:1334868914", "page": 0, "pageSize": 1}

Search meta data:

Each response includes header parameters with information about the results dataset.

Header nameDescription
countThe number of products in the results dataset.
maxpriceThe highest price of all the products in the results dataset.
minpriceThe lowest price of all the products in the results dataset.
Body attributes
NameTypeDescription
keywordstringrequiredSearch keyword. Matches against all output fields.
pagenumberrequiredThe specified result page in the paginated response. The first page in the response is number 0.
pageSizenumberrequiredNumber of products to return on each page of a paginated result
programIdstringoptionalNumerical ID of one or several partner programs. Comma separated.
marketstringoptionalMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
currencystringoptionalCurrency in ISO 4217 format
inStockbooleanoptionalOnly return products that are (or are not) in stock
minPricenumberoptionalOnly show products with a price of at least minPrice
maxPricenumberoptionalOnly show products with a price of at most maxPrice
sortstringoptionalDetermines the sort order. The value of this parameter is a comma-separated list of sort keys. Sort directions 'asc' or 'desc' can optionally be appended to each sort key, separated by the ':' character. Available keys are: productPrice, programId, inStock, manufacturerArticleNumber, ean.
Response 200 array[Products]
Try it
Request editable
POST /partner/products/feed/ DEPRECATED #
Retrieve product feed

This endpoint is deprecated. Please use API version 3.

Retrieves data for all available products for a specified advertiser. Meta data is available in the response header, where count is the number of products available, and feed_lastupdated is the time the advertiser last updated their product feed.

Body attributes
NameTypeDescription
programIdnumberrequiredNumerical ID of a partner program
channelIdnumberrequiredNumerical ID of a channel
setEpibooleanoptionalIf set to true, the epi will be set to the product name in tracking urls
Response 200 array[Productfeed]
Try it
Request editable
GET /partner/products/feedinfo/{programId}/{channelId}/ DEPRECATED #
Retrieve product feed information

This endpoint is deprecated. Please use API version 3.

Retrieves information about a specified advertiser product feed, including number of available products, last updated status and link to download the data file.

Parameters
NameTypeDescription
programIdnumberrequiredNumerical ID of a partner program
channelIdnumberrequiredNumerical ID of a channel
Try it
Set the values below, then edit the request if needed.
Request editable
POST /partner/offers/ #
List coupons and offers

Lists coupon codes, vouchers and offers available for partner programs on the Adtraction platform.

Body attributes
NameTypeDescription
marketstringoptionalMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a channel
Response 200 array[Coupons]
Try it
Request editable
POST /partner/clicks/ #
List clicks

Lists clicks tracked in your account during a specified time period.

Body attributes
NameTypeDescription
fromDatestringrequiredOldest UTC time stamp of the dataset.
toDatestringrequiredMost recent UTC time stamp of the dataset.
currencystringrequiredCurrency in ISO 4217 format
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a channel
marketstringoptionalCountry code of the market
commissionOnlybooleanoptionalIf set to true, only clicks with commission will be returned
epistringoptionalEPI extracted from the tracking link that generated the click
epi2stringEPI2 extracted from the tracking link that generated the click
epi3stringEPI3 extracted from the tracking link that generated the click
epi4stringEPI4 extracted from the tracking link that generated the click
epi5stringEPI5 extracted from the tracking link that generated the click
wbraidstringExtracted from the tracking link that generated the click
gbraidstringExtracted from the tracking link that generated the click
gclidstringGoogle Click ID.
Response 200 array[Clicks]
Try it
Request editable
POST /partner/transactions/ #
List transactions

Events that generate commissions are tracked in your Adtraction account.

Lists transactions tracked in your account during a specified time period.

Body attributes
NameTypeDescription
fromDatestringrequiredOldest UTC time stamp of the dataset. For transactions, the time stamp designates at which the transaction was registered at the advertiser website
toDatestringrequiredMost recent UTC time stamp of the dataset. For transactions, the time stamp designates at which time the transaction was registered at the advertiser website
lastUpdatedstringoptionalIf used as input, the dataset will only include transactions that were updated after the specified time
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 0 = all, 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
epistringoptionalEPI for the transaction. Extracted from the tracking link that generated the transaction
marketstringoptionalGeographical market on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
currencystringoptionalCurrency in ISO 4217 format
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a channel
paymentStatusnumberoptionalSpecifies what payment status of transaction should be included in the dataset. 1 = not invoiced, 2 = invoiced to advertiser, 3 = ready for payment, 4 = paid to partner
uniqueIdstringoptionalUnique ID for the transaction
Response 200 array[Transaction]
Try it
Request editable
GET /partner/transactions/payment/{paymentId}/ #
List transactions in a payment

Lists transactions included in a specified payment generated in your Adtraction account.

Parameters
NameTypeDescription
paymentIdnumberrequiredNumerical ID of a payment in your Adtraction account
Response 200 array[TransactionInPayment]
Try it
Set the values below, then edit the request if needed.
Request editable
POST /partner/transactions/gclid/ #
List transactions with gclid

Lists transactions with a gclid (Google Click ID) value tracked in your account during a specified time period.

Body attributes
NameTypeDescription
fromDatestringrequiredOldest UTC time stamp of the dataset. For transactions, the time stamp designates at which the transaction was registered at the advertiser website
toDatestringrequiredMost recent UTC time stamp of the dataset. For transactions, the time stamp designates at which time the transaction was registered at the advertiser website
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a channel
Response 200 array[Transaction]
Try it
Request editable
GET /partner/gclid/ #
Retrieve gclid transactions report

Returns a CSV file containing all transactions with a gclid (Google Click ID) value tracked in your account during the last 14 days. Can be used to import transactions into Google Ads if you prefer not to use our automated Google Ads integration.

Response 200
Try it
Request editable
GET /partner/transactions/latest/{number}/ #
List latest transactions

Lists the latest transactions tracked in your account where transactionStatus = 1 (approved) or transactionStatus = 2 (pending).

Parameters
NameTypeDescription
numbernumberoptionalNumber of transactions to retrieve. Defaults to 10 if not specified
Response 200 array[Transaction]
Try it
Set the values below, then edit the request if needed.
Request editable
PUT /partner/claims/ #
Create claim

Creates a claim for an untracked transaction. The commissionId can be obtained by using /partner/programs/commissions.

Body attributes
NameTypeDescription
programIdnumberrequiredNumerical ID of a partner program
channelIdnumberrequiredNumerical ID of a channel
orderIdstringrequiredAdvertiser order ID
commissionIdnumberrequiredNumerical ID of the commission
expectedCommissionnumberoptionalThe expected commission amount for the claim. Should be used if the advertiser pays different commission for different product categories, meaning that a claim can consist of products from multiple categories, where each category gives the right to different commission.
transactionDatestringrequiredUTC timestamp of when the transaction was reported by the advertiser
orderValuenumberrequiredOrder value of the transaction
currencystringrequiredCurrency in ISO 4217 format
epistringoptionalEPI value for the transaction
epi2stringEPI2 value for the transaction
epi3stringEPI3 value for the transaction
epi4stringEPI4 value for the transaction
epi5stringEPI5 value for the transaction
Try it
Request editable
POST /partner/statistics/ #
Retrieve statistics

The Adtraction system tracks ad impressions, clicks, transactions and the corresponding commission for each channel and partner program.

Returns the aggregation of statistics across a defined time period.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
currencystringrequiredCurrency in ISO 4217 format
marketstringrequiredMarket defined by an ISO 3166-1 Alpha-2 country code
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a partner channel
Response 200 Statistics
Try it
Request editable
POST /partner/statistics/ads/ #
Retrieve statistics by ad

Returns the aggregation of statistics, grouped by ad, across a defined time period.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
currencystringrequiredCurrency in ISO 4217 format
marketstringrequiredMarket defined by an ISO 3166-1 Alpha-2 country code
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a partner channel
Response 200 array[StatisticsByAd]
Try it
Request editable
POST /partner/statistics/channels/ #
Retrieve statistics by channel

Returns the aggregation of statistics, grouped by channel, across a defined time period.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
currencystringrequiredCurrency in ISO 4217 format
marketstringrequiredMarket defined by an ISO 3166-1 Alpha-2 country code
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a partner channel
Response 200 array[StatisticsByChannel]
Try it
Request editable
POST /partner/statistics/days/ #
Retrieve statistics by day

Returns the aggregation of statistics, grouped by day, across a defined time period.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
currencystringrequiredCurrency in ISO 4217 format
marketstringrequiredMarket defined by an ISO 3166-1 Alpha-2 country code
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a partner channel
Response 200 array[StatisticsByDay]
Try it
Request editable
POST /partner/statistics/epi/ #
Retrieve statistics by EPI

Returns the aggregation of statistics, grouped by EPI values, across a defined time period.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
currencystringrequiredCurrency in ISO 4217 format
marketstringrequiredMarket defined by an ISO 3166-1 Alpha-2 country code
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a partner channel
groupbyEpibooleanoptionalDetermines whether the output should be grouped by the EPI attribute. Defaults to true.
groupbyEpi2booleanoptionalDetermines whether the output should be grouped by the EPI2 attribute. Defaults to false.
groupbyEpi3booleanoptionalDetermines whether the output should be grouped by the EPI3 attribute. Defaults to false.
groupbyEpi4booleanoptionalDetermines whether the output should be grouped by the EPI4 attribute. Defaults to false.
groupbyEpi5booleanoptionalDetermines whether the output should be grouped by the EPI5 attribute. Defaults to false.
Try it
Request editable
POST /partner/statistics/programs/ #
Retrieve statistics by program

Returns the aggregation of statistics, grouped by program, across a defined time period.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
currencystringrequiredCurrency in ISO 4217 format
marketstringrequiredMarket defined by an ISO 3166-1 Alpha-2 country code
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a partner channel
Response 200 array[StatisticsByProgram]
Try it
Request editable
POST /partner/commission/type/ #
Retrieve commission by type

Returns the aggregation of commission earned across a defined time period, grouped by type.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
currencystringrequiredCurrency in ISO 4217 format
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
marketstringoptionalMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a partner channel
Try it
Request editable
POST /partner/commission/paymentstatus/ #
Retrieve commission by payment status

Returns the aggregation of commission earned across a defined time period, grouped by payment status.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
currencystringrequiredCurrency in ISO 4217 format
marketstringoptionalMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a partner channel
Response 200 Paymentstatus
Try it
Request editable
POST /partner/commission/transactionstatus/ #
Retrieve commission by transaction status

Returns the aggregation of commission earned across a defined time period, grouped by transaction status.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
currencystringrequiredCurrency in ISO 4217 format
marketstringoptionalMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
programIdnumberoptionalNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a partner channel
Response 200 Transactionstatus
Try it
Request editable
GET /partner/balance/{currency}/ #
Retrieve account balance

Commission earned from advertisers on the Adtraction platform will accumulate in the account balance in your Adtraction account.

Retrieves your account balance for a specified currency (ISO 4217).

Parameters
NameTypeDescription
currencystringrequiredCurrency in ISO 4217 format
Try it
Set the values below, then edit the request if needed.
Request editable
GET /partner/payments/{currency}/{paymentId}/ #
List payments

Commission earned from advertisers on the Adtraction platform will be paid on a monthly basis.

Lists payments generated in you Adtraction account.

Parameters
NameTypeDescription
currencystringoptionalCurrency in ISO 4217 format. Only payments in the specified currency will be included in the dataset
paymentIdnumberoptionalNumerical ID of a payment generated in your Adtraction account
Response 200 array[Payments]
Try it
Set the values below, then edit the request if needed.
Request editable
GET /partner/payments/pdf/{paymentId}/ #
Retrieve payment specification PDF

Each payment generated in your Adtractions account will have a specifiction in PDF format.

Downloads a specified payment specification in PDF format.

Parameters
NameTypeDescription
paymentIdnumberrequiredNumerical ID of a payment generated in your Adtraction account
Response 200
Try it
Set the values below, then edit the request if needed.
Request editable
POST /partner/tracking/errors/ #
List tracking errors

Lists tracking errors that have occurred in your account during the last seven days. Tracking errors older than seven days are automatically deleted and no data is available.

Body attributes
NameTypeDescription
channelIdnumberoptionalNumerical ID of a channel
programIdnumberoptionalNumerical ID of a partner program
Response 200 array[Trackingerrors]
Try it
Request editable
POST /partner/tracking/link/ #
Retrieve tracking link

Retrieves an Adtraction tracking link for a specified program and channel.

Body attributes
NameTypeDescription
channelIdnumberrequiredNumerical ID of a channel
programIdnumberrequiredNumerical ID of a partner program
shortLinkbooleanoptionalIf set to true, the output will be a short link instead of a traditional tracking link
urlstringoptionalURL to the web page you want to link to. Must include protocol ("http:" or "https:") and be located on the advertiser's domain.
epistringEPI value to be inserted into the tracking link
epi2stringEPI2 value to be inserted into the tracking link
epi3stringEPI3 value to be inserted into the tracking link
epi4stringEPI4 value to be inserted into the tracking link
epi5stringEPI5 value to be inserted into the tracking link
Try it
Request editable

Advertiser

GET /advertiser/account/ #
Account details

Returns details about your Adtraction advertiser account.

Try it
Request editable
POST /advertiser/channels/ DEPRECATED #
List channels

A channel is where a partner places banners or links to promote your partner program. It can be, for example, a website, a blog or a newsletter. It may also be paid advertising on, for example, Adwords or Facebook.

This endpoint is deprecated. Please use API version 3.

Lists all channels that have applied to your program.

Body attributes
NameTypeDescription
channelIdnumberoptionalNumerical ID of a channel.
affiliateIdnumberoptionalNumerical ID of a partner account.
approvalStatusnumberoptionalApproval status of a channel for a partner program: 0 = rejected, 1 = approved, 2 = pending review
Response 200 array[ChannelsAdvertiser]
Try it
Request editable
PUT /advertiser/channels/ DEPRECATED #
Update channel status

A channel is where a partner places banners or links to promote your partner program. It can be, for example, a website, a blog or a newsletter. It may also be paid advertising on, for example, Adwords or Facebook.

This endpoint is deprecated. Please use API version 3.

Update the approval status for a channel in your program. Status can be updated to rejected (0) or approved (1).

Body attributes
NameTypeDescription
channelIdnumberoptionalNumerical ID of a channel.
approvalStatusnumberoptionalApproval status of a channel for a partner program: 0 = rejected, 1 = approved
Try it
Request editable
POST /advertiser/clicks/ #
List clicks

Lists clicks tracked in your account during a specified time period. NB: clicks older than 14 months are not available.

Body attributes
NameTypeDescription
fromDatestringrequiredOldest UTC time stamp of the dataset.
toDatestringrequiredMost recent UTC time stamp of the dataset.
channelIdnumberoptionalNumerical ID of a channel
Response 200 array[AdvertiserClicks]
Try it
Request editable
POST /advertiser/transactions/ #
List transactions

Events that generate commission are tracked in your Adtraction account.

Lists transactions tracked in your account during a specified time period.

Body attributes
NameTypeDescription
fromDatestringrequiredOldest UTC time stamp of the dataset. For transactions, the time stamp designates at which the transaction was registered at the advertiser website
toDatestringrequiredMost recent UTC time stamp of the dataset. For transactions, the time stamp designates at which time the transaction was registered at the advertiser website
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
orderIdstringoptionalAdvertiser order ID
channelIdnumberoptionalNumerical ID of a channel
paymentStatusnumberoptionalSpecifies what payment status of transaction should be included in the dataset. 1 = not invoiced, 2 = invoiced to advertiser, 3 = ready for payment, 4 = paid to partner
uniqueIdstringoptionalUnique ID of a transaction
Response 200 array[TransactionAdvertiser]
Try it
Request editable
PUT /advertiser/transactions/ #
Update transaction

Events that generate commission are tracked in your Adtraction account.

Updates the status or order value of a pending transaction or open claim.

Body attributes
NameTypeDescription
orderIdstringrequiredAdvertiser order ID
transactionStatusnumberoptionalThe status of a transaction. 1 = approved, 2 = pending, 4 = open claim, 5 = rejected. The following status updates are allowed: 2 → 1 (approve a pending transaction) 2 → 5 (reject a pending transaction) 4 → 1 (approve an open claim) 4 → 5 (reject an open claim).
orderValuenumberoptionalThe order value of a transaction
productCategoryDataarray[putProductCategoryData]If the transaction was tracked with product category tracking the updated order value needs to be specified by category.
Try it
Request editable
GET /advertiser/segments/ #
List segments

Returns the commission segments in your partner program, as well as the partner channels assigned to each segment.

Response 200 array[Segments]
Try it
Request editable
PUT /advertiser/coupon/ #
Add coupon

Assigns a unique coupon code to a specified channel, which allows the code to be used for coupon code tracking.

Body attributes
NameTypeDescription
codestringrequiredA unique coupon code
channelIdnumberrequiredNumerical ID of a partner channel
toDatestringrequiredThe last date the code will be valid for purchase, in ISO 8601 date format
cookieTrackbooleanoptionalDecides if cookie tracking should be active for this channel (true) (default) or if only coupon code tracking should be used (false) during the time the coupon code is valid
Try it
Request editable
POST /advertiser/statistics/ #
Retrieve statistics

The Adtraction system tracks ad impressions, clicks, transactions and the corresponding commission for each channel in your partner program.

Returns the aggregation of statistics across a defined time period.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
Try it
Request editable
POST /advertiser/statistics/ads/ #
Retrieve statistics by ad

Returns the aggregation of statistics, grouped by ad, across a defined time period.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
channelIdnumberoptionalNumerical ID of a partner channel
Response 200 array[StatisticsAdvertiserAds]
Try it
Request editable
POST /advertiser/statistics/channels/ #
Retrieve statistics by channel

Returns the aggregation of statistics, grouped by channel, across a defined time period.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
Response 200 array[StatisticsAdvertiserChannels]
Try it
Request editable
POST /advertiser/statistics/days/ #
Retrieve statistics by day

Returns the aggregation of statistics, grouped by day, across a defined time period.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
channelIdnumberoptionalNumerical ID of a channel
Response 200 array[StatisticsAdvertiserDays]
Try it
Request editable
POST /advertiser/statistics/segments/ #
Retrieve statistics by segment

Returns the aggregation of statistics, grouped by commission segment, across a defined time period.

Body attributes
NameTypeDescription
fromDatestringrequiredThe start date of the requested range in ISO 8601 date format
toDatestringrequiredThe end date of the requested range in ISO 8601 date format
transactionStatusnumberrequiredThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
Response 200 array[StatisticsAdvertiserSegments]
Try it
Request editable

Public

POST /public/products/ #
Find products

The Adtraction product database holds data such as price, images and links for products sold by advertisers on the Adtraction platform.

Searches the Adtraction product database. Meta data is available in the response header, where count is the total number of products found for the specified search query, maxprice is the highest price found, and minprice is the lowest price found.

The search function is not case sensitive. The following operators can be used in the keyword field to modify your search:

OperatorDescription
ANDAND operation — search for X and Y. Returns only results related to both X and Y.
OROR operation — search for X or Y. Returns results related to X, Y, or both.
-Excludes a term or phrase.
"Wraps a number of words to signify a phrase for searching.
*At the end of a term, signifies a wildcard query.
( )Signify precedence.
AND discounted:trueIncludes only products where productPrice is lower than oldPrice.

Examples

Use caseRequest body
Phrase match{"keyword": "\"Nivea Shower Creme Care 250 ml\"", "page": 0, "pageSize": 10}
Phrase match with wildcard{"keyword": "\"Nivea shower*\"", "page": 0, "pageSize": 10}
Exclude a term{"keyword": "Nivea -shower", "page": 0, "pageSize": 10}
AND operation{"keyword": "Nivea AND shower", "page": 0, "pageSize": 10}
OR operation{"keyword": "Nivea OR shower", "page": 0, "pageSize": 10}

You can speed up your query significantly by specifying which fields to search in the database.

The following fields can be searched individually: productPrice, productUrl, currency, programId, ean, sku, imageUrl, inStock, manufacturer, manufacturerArticleNumber, market, oldPrice, productCategory, productDescription, shipping.

Example:

Search for 1334868914 in the sku field only: {"keyword": "sku:1334868914", "page": 0, "pageSize": 1}

Search meta data:

Each response includes header parameters with information about the results dataset.

Header nameDescription
countThe number of products in the results dataset.
maxpriceThe highest price of all the products in the results dataset.
minpriceThe lowest price of all the products in the results dataset.
Body attributes
NameTypeDescription
keywordstringrequiredSearch keyword. Matches against all output fields.
pagenumberrequiredThe specified result page in the paginated response. The first page in the response is number 0.
pageSizenumberrequiredNumber of products to return on each page of a paginated result
channelIdnumberrequiredNumerical ID of a channel
programIdstringoptionalNumerical ID of one or several partner programs. Comma separated.
marketstringoptionalMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
currencystringoptionalCurrency in ISO 4217 format
inStockbooleanoptionalOnly return products that are (or are not) in stock
minPricenumberoptionalOnly show products with a price of at least minPrice
maxPricenumberoptionalOnly show products with a price of at most maxPrice
sortstringoptionalDetermines the sort order. The value of this parameter is a comma-separated list of sort keys. Sort directions 'asc' or 'desc' can optionally be appended to each sort key, separated by the ':' character. Available keys are: productPrice, programId, inStock, manufacturerArticleNumber, ean.
Response 200 array[Products]
Try it
Request editable
POST /public/compare/loans/ DEPRECATED #
Retrieve comparison data for loans

This endpoint is deprecated. Please use the Datafeeds endpoints available in your Adtraction account instead.

Retrieve data for loans.

NB: data will only be returned for programs that the specified channel is approved for.

Body attributes
NameTypeDescription
channelIdnumberrequiredNumerical ID of a channel
currencystringrequiredCurrency in ISO 4217 format
marketstringrequiredMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
programIdarray[number]optionalA range of numerical IDs of partner programs. Programs will be returned in the order specified in the input.
minAmountnumberoptionalOnly show loans for an amount of at least minAmount
maxAmountnumberoptionalOnly show loans for an amount of at most maxAmount
acceptsRemarksbooleanoptionalOnly return lenders that accept (or do not accept) payment remarks
Response 200 array[LoansCompareOutput]
Try it
Request editable
POST /public/compare/paydayloans/ DEPRECATED #
Retrieve comparison data for payday loans

This endpoint is deprecated. Please use the Datafeeds endpoints available in your Adtraction account instead.

Retrieve data for payday loans, which typically are consumer loans for smaller amounts with shorter duration than ordinary loans.

NB: data will only be returned for programs that the specified channel is approved for.

Body attributes
NameTypeDescription
channelIdnumberrequiredNumerical ID of a channel
currencystringrequiredCurrency in ISO 4217 format
marketstringrequiredMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
programIdarray[number]optionalA range of numerical IDs of partner programs. Programs will be returned in the order specified in the input.
minAmountnumberoptionalOnly show loans for an amount of at least minAmount
maxAmountnumberoptionalOnly show loans for an amount of at most maxAmount
acceptsRemarksbooleanoptionalOnly return lenders that accept (or do not accept) payment remarks
Response 200 array[LoansCompareOutput]
Try it
Request editable
POST /public/compare/telecom/ DEPRECATED #
Retrieve comparison data for telecom deals

This endpoint is deprecated. Please use the Datafeeds endpoints available in your Adtraction account instead.

Retrieve data for telecom deals.

NB: data will only be returned for programs that the specified channel is approved for.

Body attributes
NameTypeDescription
channelIdnumberrequiredNumerical ID of a channel
currencystringrequiredCurrency in ISO 4217 format
marketstringrequiredMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
programIdarray[number]optionalA range of numerical IDs of partner programs. Programs will be returned in the order specified in the input.
Response 200 array[TelecomCompareOutput]
Try it
Request editable
GET /public/coupon/{programId}/{channelId}/{uniqueId} #
Retrieve exclusive coupon code

If an advertiser has provided you with exclusive coupon codes specific to your channel, you have the ability to retrieve these codes individually.

Retrieves an exclusive coupon code for a specified program and channel. You will need to input a unique ID for each code.

Parameters
NameTypeDescription
programIdnumberrequiredNumerical ID of a partner program
channelIdnumberoptionalNumerical ID of a channel
uniqueIdstringoptionalYour unique ID
Try it
Set the values below, then edit the request if needed.
Request editable
POST /public/tracking/link/ #
Retrieve tracking link

Retrieves an Adtraction tracking link for a specified program and channel.

Body attributes
NameTypeDescription
channelIdnumberrequiredNumerical ID of a channel
programIdnumberrequiredNumerical ID of a partner program
shortLinkbooleanoptionalIf set to true, the output will be a short link instead of a traditional tracking link
urlstringoptionalURL to the web page you want to link to. Must include protocol ("http:" or "https:") and be located on the advertiser's domain.
epistringEPI value to be inserted into the tracking link
epi2stringEPI2 value to be inserted into the tracking link
epi3stringEPI3 value to be inserted into the tracking link
epi4stringEPI4 value to be inserted into the tracking link
epi5stringEPI5 value to be inserted into the tracking link
Try it
Request editable

Data structures

Paymentstatus
PropertyTypeDescription
paymentstatusPaymentstatusDetails
PaymentstatusDetails
PropertyTypeDescription
1numberNot invoiced
2numberInvoiced to advertiser
3numberReady for payment
4numberPaid to partner
Transactionstatus
PropertyTypeDescription
transactionstatusTransactionstatusDetails
TransactionstatusDetails
PropertyTypeDescription
1numberApproved
2numberPending
4numberOpen claims
5numberRejected
LoansCompareInput
PropertyTypeDescription
channelIdnumberNumerical ID of a channel
currencystringCurrency in ISO 4217 format
marketstringMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
programIdarray[number]A range of numerical IDs of partner programs. Programs will be returned in the order specified in the input.
minAmountnumberOnly show loans for an amount of at least minAmount
maxAmountnumberOnly show loans for an amount of at most maxAmount
acceptsRemarksbooleanOnly return lenders that accept (or do not accept) payment remarks
TelecomCompareInput
PropertyTypeDescription
channelIdnumberNumerical ID of a channel
currencystringCurrency in ISO 4217 format
marketstringMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
programIdarray[number]A range of numerical IDs of partner programs. Programs will be returned in the order specified in the input.
LoansCompareOutput
PropertyTypeDescription
programNamestringName of a partner program
programIdnumberNumerical ID of a partner program
programUrlstringMain URL for a partner program
marketstringISO 3166-1 Alpha-2 country code
currencystringCurrency in ISO 4217 format
logoUrlstringURL of the advertiser logo image file
trackingUrlstringClick tracking URL for the program
minAmountnumberMinimum loan amount allowed
maxAmountnumberMaximum loan amount allowed
minDurationnumberMinimum loan duration allowed. Expressed in days, months or years as defined by the timeUnit attribute.
maxDurationnumberMaximum loan duration allowed. Expressed in days, months or years as defined by the timeUnit attribute.
minInterestnumberMinimum nominal interest rate of the loan
maxInterestnumberMaximum nominal interest rate of the loan
minEffectiveInterestnumberMinimum effective interest rate of the loan
maxEffectiveInterestnumberMaximum effective interest rate of the loan
minAgenumberMinimum age required by the lender
minIncomeRequirednumberMinimum annual income required by the lender
adminFeenumberMonthly admin fee charged by the lender, if any
startFeenumberStarting fee charged by the lender, if any
firstLoanFreebooleanWhether the lender provides the first loan for free
timeUnitstringTime unit used for the minDuration and maxDuration attributes (Year, Month or Day)
acceptsRemarksbooleanWhether the lender accepts (or does not accept) payment remarks
loanExamplestringAn example showing the costs associated with the loan
TelecomCompareOutput
PropertyTypeDescription
offerTitlestringA brief title describing the offer
offerDescriptionstringDescription of the offer
programNamestringName of a partner program
programIdnumberNumerical ID of a partner program
programUrlstringMain URL for a partner program
marketstringISO 3166-1 Alpha-2 country code
currencystringCurrency in ISO 4217 format
logoUrlstringURL of the advertiser logo image file
trackingUrlstringClick tracking URL for the offer
highlightsarray[string]Highlights describing the offer. Can number from 0 to 3.
timeUnitstringTime unit used for the price and priceBefore attributes (Year or Month)
minutesLimitnumberThe monthly limit in minutes for telephone calls
mobileDataLimitnumberThe monthly data transfer limit in MB
pricenumberThe price of the deal per Year or Month, as defined by the timeUnit attribute
priceBeforenumberThe earlier price of the deal per Year or Month, as defined by the timeUnit attribute
fixedTermPeriodnumberHow many months the customer must stay with the company before they can change to another service provider
startFeenumberStarting fee
smsPricenumberPrice per SMS message
minutePricenumberPrice per minute for telephone calls
mbPricenumberPrice per MB data transfer
roamingbooleanSet to true if roaming is included
mustPurchasePhonebooleanSet to true if the company requires the customer to purchase the handset as a part of the deal
4gbooleanSet to true if 4G access is included
5gbooleanSet to true if 5G access is included
Markets
PropertyTypeDescription
marketstringISO 3166-1 Alpha-2 country code
marketNamestringMarket name
marketIdnumberNumerical Adtraction ID of the market
Segments
PropertyTypeDescription
segmentNamestringThe name of the segment
segmentIdnumberNumerical Adtraction ID of the segment
channelsarray[Channellist]
Categories
PropertyTypeDescription
categoryNamestringName of the category
categoryIdnumberNumerical ID of the category
numberOfProgramsnumberNumber of partner programs currently available in the cateogry
Channels
PropertyTypeDescription
channelIdnumberNumerical ID of a channel
channelNamestringName of a channel
channelUrlstringThe URL of a channel, if applicable.
channelTypestringThe type of a channel, such as Blog, Content, Facebook, Cashback, etc.
Channellist
PropertyTypeDescription
channelIdnumberNumerical ID of a channel
channelNamestringName of a channel
Applications
PropertyTypeDescription
channelIdnumberNumerical ID of a channel
channelNamestringName of a partner channel
statusnumberStatus of the channel's application for the specified program. 0 = rejected, 1 = approved, 2 = pending
programIdnumberNumerical ID of a partner program
programNamestringName of a partner program
categoryNamestringName of the category the program belongs to
categoryIdnumberNumerical ID of the category the program belongs to
Ads
PropertyTypeDescription
adIdnumberNumerical ID of a banner or link
adNamestringName of a banner or link
adTypestringType of banner or link
trackingUrlstringClick tracking URL for the ad. Only available when channelId is provided as input and the channel is approved for the program.
Coupons
PropertyTypeDescription
logoURLstringURL of the advertiser logo image file
marketstringMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
offerCouponstringCoupon code that can be redeemed for a financial discount or rebate when purchasing a product from a specified advertiser on the Adtraction platform
offerDescriptionstringDescription of the financial discount or rebate available through the offer or coupon code
offerIdstringUnique identifier for the offer
offerPagestringThe URL to the page on the advertiser's website where information about a discount or an offer can be found
offerTermsstringTerms that apply in order for a coupon code or offer to be valid
offerTypestringType of offer where: 1 = coupon code, 2 = offer (no coupon required)
programIdnumberNumerical ID of the partner program
programNamestringName of the partner program
programUrlstringMain URL for a specified partner program
trackingURLstringDefault click tracking URL for a specified channel and partner program. Only returned when channelId is provided as input and the channel is approved for the program
validFromstringUTC time stamp of when the coupon code or offer starts being valid
validTostringUTC time stamp of when the coupon code or offer expires
lastUpdatedstringUTC time stamp of when the coupon code or offer was last updated
createdDatestringUTC time stamp of when the coupon code or offer was created
categoryIdnumberNumerical ID of the category the partner program belongs to on the Adtraction platform
Commissiontypes
PropertyTypeDescription
idstringNumerical ID of the commission type
typestringType of commission. Absolute (EUR, for example) or a percentage of order value (%)
namestringName of the commission type
valuenumberCommission offered
transactionTypenumberSpecifies the type of the transaction where: 3 = Sale, 4 = Lead
ProductExtrainfo
PropertyTypeDescription
keystringA unique identifier for a type of product data that is provided by some advertisers in addition to the standard set of data required by Adtraction.
valuestringThe value associated with a key
Products
PropertyTypeDescription
productNamestringName of the product
productPricestringOnline price for the product, including VAT, excluding delivery cost
productUrlstringURL to the product page on the advertiser website.
currencystringCurrency in ISO 4217 format
programIdnumberNumerical ID of the partner program
eanstringEuropean Article Number (13 digit)
skustringUnique product ID.
extraInfoarray[ProductExtrainfo]Any extra data available, such a size, gender, color
imageUrlstringThe image URL to associate with the product.
inStockbooleanOnly return products that are (or are not) in stock
manufacturerstringThe name of the manufacturer
manufacturerArticleNumberstringThe article number from the manufacturer
marketstringMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
oldPricenumberThe previous price of the product. Can be used to display the product as on sale
productCategorystringProduct category on the advertiser website
productDescriptionstringDescription of the product
shippingnumberCost of delivery
Productfeed
PropertyTypeDescription
productNamestringName of the product
productPricestringOnline price for the product, including VAT, excluding delivery cost
productUrlstringURL to the product page on the advertiser website.
trackingUrlstringURL to the product page on the advertiser website.
currencystringCurrency in ISO 4217 format
programIdnumberNumerical ID of the partner program
approvalStatusnumberApproval status of a specified channel for a partner program: 0 = rejected, 1 = approved, 2 = pending review, 3 = not applied
eanstringEuropean Article Number (13 digit)
skustringUnique product ID.
extraInfoarray[ProductExtrainfo]Any extra data available, such a size, gender, color
imageUrlstringThe image URL to associate with the product.
inStockbooleanOnly return products that are (or are not) in stock
manufacturerstringThe name of the manufacturer
manufacturerArticleNumberstringThe article number from the manufacturer
marketstringMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
oldPricenumberThe previous price of the product. Can be used to display the product as on sale
productCategorystringProduct category on the advertiser website
productDescriptionstringDescription of the product
shippingnumberCost of delivery
Click
PropertyTypeDescription
adIdnumberNumerical ID of an ad
adNamestringName of banner or link
adTypestringType of banner or link
channelIdnumberNumerical ID of a channel. Your Channel IDs can be found by navigating to "Account" > "My channels" in your Adtraction account
channelNamestringName of a channel
clickDatestringUTC timestamp of the click that generated the transaction
programIdnumberNumerical ID of a partner program
programNamestringName of a partner program
marketstringMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
statusstringCurrent status of the click, where Fresh means still in cookie duration and Stale means outside cookie duration.
epistringEPI extracted from the tracking link that generated the click
epi2stringEPI2 extracted from the tracking link that generated the click
epi3stringEPI3 extracted from the tracking link that generated the click
epi4stringEPI4 extracted from the tracking link that generated the click
epi5stringEPI5 extracted from the tracking link that generated the click
wbraidstringExtracted from the tracking link that generated the click
gbraidstringExtracted from the tracking link that generated the click
gclidstringGoogle Click ID. Extracted from the tracking link that generated the transaction
cidstringGoogle Anlytics Client ID. Extracted from the tracking link that generated the transaction
Clicks
PropertyTypeDescription
adIdnumberNumerical ID of an ad
adNamestringName of banner or link
adTypestringType of banner or link
channelIdnumberNumerical ID of a channel. Your Channel IDs can be found by navigating to "Account" > "My channels" in your Adtraction account
clickDatestringUTC timestamp of the click that generated the transaction
programIdnumberNumerical ID of a partner program
programNamestringName of a partner program
statusstringCurrent status of the click, where Fresh means still in cookie duration and Stale means outside cookie duration.
epistringEPI extracted from the tracking link that generated the click
epi2stringEPI2 extracted from the tracking link that generated the click
epi3stringEPI3 extracted from the tracking link that generated the click
epi4stringEPI4 extracted from the tracking link that generated the click
epi5stringEPI5 extracted from the tracking link that generated the click
wbraidstringExtracted from the tracking link that generated the click
gbraidstringExtracted from the tracking link that generated the click
gclidstringGoogle Click ID. Extracted from the tracking link that generated the click
cidstringGoogle Anlytics Client ID. Extracted from the tracking link that generated the click
currencystringCurrency in ISO 4217 format
commissionnumberThe partner commission for the click, if any.
AdvertiserClicks
PropertyTypeDescription
adIdnumberNumerical ID of an ad
adNamestringName of banner or link
adTypestringType of banner or link
channelIdnumberNumerical ID of a channel. Your Channel IDs can be found by navigating to "Account" > "My channels" in your Adtraction account
channelNamestringName of a channel
clickDatestringUTC timestamp of the click that generated the transaction
statusstringCurrent status of the click, where Fresh means still in cookie duration and Stale means outside cookie duration.
Trackingerrors
PropertyTypeDescription
channelIdnumberNumerical ID of a channel
channelNamestringName of a channel
programIdnumberNumerical ID of a partner program
programNamestringName of a partner program
actionDatestringUTC timestamp of the action that triggered the error
actionTypestringType of action that triggered the error. Impression or click
errorTypestringDescription of the error
trackingUrlstringThe Adtration tracking URL that was used when the error was triggered
fallbackActionnumberThe action performed due to a broken link. 31 = Redirected to plain Adtraction error page. 36 = Redirected to custom URL. 37 = Redirected to actual link destination. 40 = Fallback offers not available. Redirected to plain Adtraction error page. 41 = Fallback to original URL failed. Redirected to plain Adtraction error page. 42 = Redirected to fallback offers.
refererstringHTTP referer for action that triggered the error. Not always available
ClickAdvertiser
PropertyTypeDescription
adIdnumberNumerical ID of an ad
adNamestringName of banner or link
adTypestringType of banner or link
channelIdnumberNumerical ID of a channel. Your Channel IDs can be found by navigating to "Account" > "My channels" in your Adtraction account
channelNamestringName of a channel
clickDatestringUTC timestamp of the click that generated the transaction
statusstringCurrent status of the click, where Fresh means still in cookie duration and Stale means outside cookie duration.
Transaction
PropertyTypeDescription
clickClickInformation about the click that preceeded the transaction
commissionnumberThe partner commission for the transaction. If the commission amount has been updated after the creation of the transaction, this parameter will hold the updated commission amount.
currencystringCurrency in ISO 4217 format
paymentStatusnumberSpecifies what payment status of transaction should be included in the dataset. 1 = not invoiced, 2 = invoiced to advertiser, 3 = ready for payment, 4 = paid to partner
orderValuenumberOrder value of the transaction
originalCommissionnumberPartner commission for the transaction. If the commission amount has been updated after the creation of the transaction, this parameter will hold the commission amount that existed before the update.
originalOrderValuenumberAdvertiser order value for the transaction. If the order value has been updated after the creation of the transaction, this parameter will hold the order value that existed before the update.
reasonTextstringFor rejected transactions (transactionStatus = 5) the advertiser can may choose to provide the reason for the transaction being rejected.
transactionDatestringUTC timestamp of when the transaction was reported by the advertiser.
lastUpdatedstringUTC timestamp of when the transactionStatus or orderValue of the transaction was last updated. Only available for transactions where transactionStatus or orderValue has been updated.
autoApprovalDatestringDate when a pending transaction (transactionStatus = 2) will be automatically approved unless already approved or rejected by the advertiser.
transactionNamestringName of the transaction
transactionTypenumberSpecifies the type of the transaction where: 3 = Sale, 4 = Lead
transactionStatusnumberThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
uniqueIdstringUnique ID for the transaction
devicestringThe type of device that was used to complete the transaction
operatingSystemstringThe operating system used on the device that was used to complete the transaction
paymentIdnumberNumerical ID of a payment in your Adtraction account. Available if the transaction has paymentStatus = 4 (paid to partner) and is included in a payment in your Adtraction account.
geoLocationstringThe geographic market where the transaction was completed, defined by an ISO 3166-1 Alpha-2 country code
productCategoryDataarray[productCategoryDataPartner]Holds the IDs, names, order values and commission of all product categories included in the transaction. Available only if the transaction was tracked with product category tracking.
TransactionInPayment
PropertyTypeDescription
clickClickInformation about the click that preceeded the transaction
commissionnumberThe partner commission for the transaction. If the commission amount has been updated after the creation of the transaction, this parameter will hold the updated commission amount.
currencystringCurrency in ISO 4217 format
paymentStatusnumberSpecifies what payment status of transaction should be included in the dataset. 1 = not invoiced, 2 = invoiced to advertiser, 3 = ready for payment, 4 = paid to partner
orderValuenumberOrder value of the transaction
originalCommissionnumberPartner commission for the transaction. If the commission amount has been updated after the creation of the transaction, this parameter will hold the commission amount that existed before the update.
originalOrderValuenumberAdvertiser order value for the transaction. If the order value has been updated after the creation of the transaction, this parameter will hold the order value that existed before the update.
reasonTextstringFor rejected transactions (transactionStatus = 5) the advertiser can may choose to provide the reason for the transaction being rejected.
transactionDatestringUTC timestamp of when the transaction was reported by the advertiser.
lastUpdatedstringUTC timestamp of when the transactionStatus or orderValue of the transaction was last updated. Only available for transactions where transactionStatus or orderValue has been updated.
transactionNamestringName of the transaction
transactionTypenumberSpecifies the type of the transaction where: 3 = Sale, 4 = Lead
transactionStatusnumberThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
uniqueIdstringUnique ID for the transaction
devicestringThe type of device that was used to complete the transaction
operatingSystemstringThe operating system used on the device that was used to complete the transaction
paymentIdnumberNumerical ID of a payment in your Adtraction account, in which the transaction is included
geoLocationstringThe geographic market where the transaction was completed, defined by an ISO 3166-1 Alpha-2 country code
productCategoryDataarray[productCategoryDataPartner]Holds the IDs, names, order values and commission of all product categories included in the transaction. Available only if the transaction was tracked with product category tracking.
TransactionAdvertiser
PropertyTypeDescription
clickClickAdvertiserInformation about the click that preceeded the transaction
costnumberThe cost of the transaction, including partner commission and Adtraction platform fee.
currencystringCurrency in ISO 4217 format
paymentStatusnumberSpecifies what payment status of transaction should be included in the dataset. 1 = not invoiced, 2 = invoiced to advertiser, 3 = ready for payment, 4 = paid to partner
orderIdstringAdvertiser order ID
orderValuenumberOrder value of the transaction
reasonTextstringFor rejected transactions (transactionStatus = 5) you may choose to provide the reason for the transaction being rejected.
transactionDatestringUTC timestamp of when the transaction was reported by the advertiser.
lastUpdatedstringUTC timestamp of when the transactionStatus or orderValue of the transaction was last updated. Only available for transactions where transactionStatus or orderValue has been updated.
autoApprovalDatestringDate when a pending transaction (transactionStatus = 2) will be automatically approved unless already approved or rejected.
transactionNamestringName of the transaction
transactionStatusnumberThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
uniqueIdstringUnique ID for the transaction
devicestringThe type of device that was used to complete the transaction
operatingSystemstringThe operating system used on the device that was used to complete the transaction
geoLocationstringThe geographic market where the transaction was completed, defined by an ISO 3166-1 Alpha-2 country code
productCategoryDataarray[productCategoryData]Holds the IDs, names, order values and cost of all product categories included in the transaction. Available only if the transaction was tracked with product category tracking.
StatisticsInput
PropertyTypeDescription
fromDatestringThe start date of the requested range in ISO 8601 date format
toDatestringThe end date of the requested range in ISO 8601 date format
currencystringCurrency in ISO 4217 format
marketstringMarket defined by an ISO 3166-1 Alpha-2 country code
transactionStatusnumberThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
programIdnumberNumerical ID of a partner program
channelIdnumberNumerical ID of a partner channel
StatisticsEPIInput
PropertyTypeDescription
fromDatestringThe start date of the requested range in ISO 8601 date format
toDatestringThe end date of the requested range in ISO 8601 date format
currencystringCurrency in ISO 4217 format
marketstringMarket defined by an ISO 3166-1 Alpha-2 country code
transactionStatusnumberThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
programIdnumberNumerical ID of a partner program
channelIdnumberNumerical ID of a partner channel
groupbyEpibooleanDetermines whether the output should be grouped by the EPI attribute. Defaults to true.
groupbyEpi2booleanDetermines whether the output should be grouped by the EPI2 attribute. Defaults to false.
groupbyEpi3booleanDetermines whether the output should be grouped by the EPI3 attribute. Defaults to false.
groupbyEpi4booleanDetermines whether the output should be grouped by the EPI4 attribute. Defaults to false.
groupbyEpi5booleanDetermines whether the output should be grouped by the EPI5 attribute. Defaults to false.
StatisticsInputAdvertiser
PropertyTypeDescription
fromDatestringThe start date of the requested range in ISO 8601 date format
toDatestringThe end date of the requested range in ISO 8601 date format
transactionStatusnumberThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
CommissionInput
PropertyTypeDescription
fromDatestringThe start date of the requested range in ISO 8601 date format
toDatestringThe end date of the requested range in ISO 8601 date format
currencystringCurrency in ISO 4217 format
transactionStatusnumberThe status of the transactions to be included in the dataset. Impressions and clicks are not affected by this input. 1 = approved, 2 = pending, 3 = approved + pending, 4 = open claims, 5 = rejected
marketstringMarket on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
programIdnumberNumerical ID of a partner program
channelIdnumberNumerical ID of a partner channel
Programs
PropertyTypeDescription
programIdnumberNumerical ID of the partner program.
marketstringGeographical market on which a partner program is available, defined by an ISO 3166-1 Alpha-2 country code
currencystringCurrency in ISO 4217 format. Only transactions in the specified currency will be included in the dataset
approvalStatusnumberApproval status for a partner program. Only available when channelId is provided as input and when an application has been made by the channelId to the programId. 0 = rejected, 1 = approved, 2 = pending review
feedbooleanWhether product feed is available
ppcMarketingnumberRules for Pay Per Click Marketing (Google Adwords, etc), where: 0 = not allowed,1 = allowed, 2 = restricted (no brand bidding)
socialMarketingnumberRules for Social Media Marketing (Facebook, etc), where: 0 = not allowed, 1 = allowed
emailMarketingnumberRules for Email Marketing, where: 0 = not allowed, 1 = allowed, 2 = restricted (preview is required)
cashbackMarketingnumberRules for cashback / reward partners: 0 = not allowed, 1 = allowed
couponMarketingnumberAdvertising rules for voucher / coupon partners, where: 0 = not allowed, 1 = allowed
programNamestringName of the partner program
programURLstringMain URL for a specified partner program
currentSegmentstringThe commission segment the specified channel currently belongs to in the specified partner program. Only available when channelId is provided as input.
pendingActivebooleanSet to true if the advertiser reviews transactions manually. Transactions will have status Pending until they are approved or rejected by the advertiser
cookieDurationnumberNumber of days after each click during which transactions are tracked
adIdnumberNumerical ID of the ad. When using /partner/programs/ the adId provided is equal to the programAdId for each partner program. Use this as the parameter 'a' in your tracking links
commissionsarray[commissions]Array containing the name, value and type of all currently active commissions types in a partner program
feedURLstringURL to download the advertiser data feed. Only available if feed is "true". You can control the format of the file by modifing the following URL parameters: format (XML or CSV), encoding (UTF-8 or 8859-1), zip (0 or 1), cdelim (field separator) (tab, comma, colon, semi, pipe), tdelim (text qualifier) (singlequote or doubleqoute)
logoURLstringURL of the advertiser logo image file
trackingURLstringDefault click tracking URL for a specified channel and partner program, where "a" is the adId and "as" is the channelId. Only available when channelId is provided as input and approvalStatus is "1" (approved).
categoryNamestringThe name of the category that the partner program belongs to on the Adtraction platform
trackingTypenumberThe type of tracking the advertiser has implemented where 1 or 5 = first-party cookie tracking, 2 = server-to-server tracking, 3 = legacy cookie tracking, 4 = dedicated subdomain tracking
Newprograms
PropertyTypeDescription
logoURLstringURL of the advertiser logo image file
programNamestringThe name of the partner program
categoryNamestringName of the category that the partner program belongs to on the Adtraction platform
categoryIdnumberNumerical ID of the category the program belongs to
sortordernumberOrder in which new programs are displayed on the partner dashboard in your Adtraction account
createdDatestringUTC timestamp of when the program was added to the list of new programs
programIdnumberNumerical ID of the partner program
commissions
PropertyTypeDescription
idstringName of the commission type
typestringType of commission. Absolute, for example SEK, or a percentage of order value
namestringName of the commission type
valuenumberCommission offered
transactionTypenumberSpecifies the type of the transaction where: 3 = Sale, 4 = Lead
Payments
PropertyTypeDescription
currencystringCurrency in ISO 4217 format
exchangeRatenumberIf the payment has been exchanged from one currency to another, this attribute will hold the exchange rate applied. Stated as the target currency amount divided by the original currency amount.
originalCurrencystringIf the payment has been exchanged from one currency to another, this attribute will hold the original currency in ISO 4217 format.
paymentdatestringUTC timestamp of when the payment was sent from Adtraction
paymentIdnumberNumerical ID of a payment generated in your Adtraction account
totalAmountnumberTotal amount of the payment
taxAmountnumberAmount of tax deducted from the payment. Returned if your tax status is Swedish private individual.
vatAmountnumberAmount of VAT included in the payment. Returned if your tax status is corporation or a private individual residing outside Sweden.
StatisticsAdvertiser
PropertyTypeDescription
clicksnumberNumber of clicks
clicksUniquenumberNumber of unique clicks
costnumberThe total cost of the transaction, including partner commission and platform fee
impressionsnumberNumber of banner / links impressions
impressionsUniquenumberNumber of unique banner / links impressions
orderValuenumberOrder value of the sale transactions
leadsnumberNumber of lead transactions
salesnumberNumber of sale transactions
ctrnumberClick Through Ratio, obtained by dividing clicks by impressions
leadRationumberLead Ratio, obtained by dividing leads by clicksUnique
conversionRationumberConversion Ratio, obtained by dividing sales by clicksUnique
aovnumberAverage order value, obtained by dividing order value by number of sale transactions
StatisticsAdvertiserChannels
PropertyTypeDescription
channelIdnumberNumerical ID of a channel
channelNamestringName of a channel
channelTypestringThe type of a channel, such as Blog, Content, Facebook, Cashback, etc.
clicksnumberNumber of clicks
clicksUniquenumberNumber of unique clicks
costnumberThe total cost of the transaction, including partner commission and platform fee
impressionsnumberNumber of banner / links impressions
impressionsUniquenumberNumber of unique banner / links impressions
orderValuenumberOrder value of the sale transactions
leadsnumberNumber of lead transactions
salesnumberNumber of sale transactions
ctrnumberClick Through Ratio, obtained by dividing clicks by impressions
leadRationumberLead Ratio, obtained by dividing leads by clicksUnique
conversionRationumberConversion Ratio, obtained by dividing sales by clicksUnique
aovnumberAverage order value, obtained by dividing order value by number of sale transactions
StatisticsAdvertiserDays
PropertyTypeDescription
datestringDate in ISO 8601 date format
clicksnumberNumber of clicks
clicksUniquenumberNumber of unique clicks
costnumberThe total cost of the transaction, including partner commission and platform fee
impressionsnumberNumber of banner / links impressions
impressionsUniquenumberNumber of unique banner / links impressions
orderValuenumberOrder value of the sale transactions
leadsnumberNumber of lead transactions
salesnumberNumber of sale transactions
ctrnumberClick Through Ratio, obtained by dividing clicks by impressions
leadRationumberLead Ratio, obtained by dividing leads by clicksUnique
conversionRationumberConversion Ratio, obtained by dividing sales by clicksUnique
aovnumberAverage order value, obtained by dividing order value by number of sale transactions
StatisticsAdvertiserAds
PropertyTypeDescription
adIdnumberNumerical ID of a banner or link
adNamestringName of a banner or link
clicksnumberNumber of clicks
clicksUniquenumberNumber of unique clicks
costnumberThe total cost of the transaction, including partner commission and platform fee
impressionsnumberNumber of banner / links impressions
impressionsUniquenumberNumber of unique banner / links impressions
orderValuenumberOrder value of the sale transactions
leadsnumberNumber of lead transactions
salesnumberNumber of sale transactions
ctrnumberClick Through Ratio, obtained by dividing clicks by impressions
leadRationumberLead Ratio, obtained by dividing leads by clicksUnique
conversionRationumberConversion Ratio, obtained by dividing sales by clicksUnique
aovnumberAverage order value, obtained by dividing order value by number of sale transactions
StatisticsAdvertiserSegments
PropertyTypeDescription
segmentIdnumberNumerical ID of a commission segment
segmentNamestringName of a commission segment
clicksnumberNumber of clicks
clicksUniquenumberNumber of unique clicks
costnumberThe total cost of the transaction, including partner commission and platform fee
impressionsnumberNumber of banner / links impressions
impressionsUniquenumberNumber of unique banner / links impressions
orderValuenumberOrder value of the sale transactions
leadsnumberNumber of lead transactions
salesnumberNumber of sale transactions
ctrnumberClick Through Ratio, obtained by dividing clicks by impressions
leadRationumberLead Ratio, obtained by dividing leads by clicksUnique
conversionRationumberConversion Ratio, obtained by dividing sales by clicksUnique
aovnumberAverage order value, obtained by dividing order value by number of sale transactions
Statistics
PropertyTypeDescription
clicksnumberNumber of clicks
clicksUniquenumberNumber of unique clicks
commissionnumberAmount of partner commission
currencystringCurrency in ISO 4217 format
impressionsnumberNumber of banner / links impressions
impressionsUniquenumberNumber of unique banner / links impressions
leadsnumberNumber of lead transactions
salesnumberNumber of sale transactions
orderValuenumberOrder value of the sale transactions
epcnumberEarnings Per Click obtained by dividing the commission by clicksUnique
ctrnumberClick Through Ratio, obtained by dividing clicks by impressions
leadRationumberLead Ratio, obtained by dividing leads by clicksUnique
StatisticsByChannel
PropertyTypeDescription
channelIdnumberNumerical ID of a channel
channelNamestringName of a channel
clicksnumberNumber of clicks
clicksUniquenumberNumber of unique clicks
commissionnumberAmount of partner commission
currencystringCurrency in ISO 4217 format
impressionsnumberNumber of banner / links impressions
impressionsUniquenumberNumber of unique banner / links impressions
leadsnumberNumber of lead transactions
salesnumberNumber of sale transactions
orderValuenumberOrder value of the sale transactions
epcnumberEarnings Per Click obtained by dividing the commission by clicksUnique
ctrnumberClick Through Ratio, obtained by dividing clicks by impressions
leadRationumberLead Ratio, obtained by dividing leads by clicksUnique
conversionRationumberConversion Ratio, obtained by dividing sales by clicksUnique
StatisticsByDay
PropertyTypeDescription
datestringDate in ISO 8601 date format
clicksnumberNumber of clicks
clicksUniquenumberNumber of unique clicks
commissionnumberAmount of partner commission
currencystringCurrency in ISO 4217 format
impressionsnumberNumber of banner / links impressions
impressionsUniquenumberNumber of unique banner / links impressions
leadsnumberNumber of lead transactions
salesnumberNumber of sale transactions
orderValuenumberOrder value of the sale transactions
epcnumberEarnings Per Click obtained by dividing the commission by clicksUnique
ctrnumberClick Through Ratio, obtained by dividing clicks by impressions
leadRationumberLead Ratio, obtained by dividing leads by clicksUnique
conversionRationumberConversion Ratio, obtained by dividing sales by clicksUnique
StatisticsByEpi
PropertyTypeDescription
clicksnumberNumber of clicks
[...]
